if (localStorage.getItem("userName") && localStorage.getItem("license")) {
  window.location.href = "lobby.html";
} else {
  localStorage.removeItem("userName");
  localStorage.removeItem("userId");
  localStorage.removeItem("license");
}

function sendUsernameToElectron(username, license) {
  window.electronAPI.storeUsername(username, license);
}

const usernameForm = document.getElementById("username-form");

usernameForm.addEventListener("submit", (event) => {
  event.preventDefault();
  console.log("valid form submited");
  saveNameAndLicenseKey();
});

function saveNameAndLicenseKey() {
  const name = document.getElementById("username-input").value;
  const license = document.getElementById("license-input").value;
  sendUsernameToElectron(name, license);
  localStorage.setItem("userName", name);
  localStorage.setItem("license", license);
  localStorage.setItem("userId", crypto.randomUUID()); //todo: store the userid in the file aswell.
  window.location.href = "lobby.html";
}
