export default class MessageSender {
  constructor(webSocketClient) {
    this.webSocketClient = webSocketClient;
  }

  sendMessage(username, message) {
    this.webSocketClient.sendMessage(
      JSON.stringify({
        type: "chatMessage",
        data: {
          username: username,
          message: message,
        },
      })
    );
  }
}
